<app-workspace-toolbar></app-workspace-toolbar>
<ion-content>
  <ion-split-pane contentId="residentHome">
    <ion-menu menuId="HomeMenu" contentId="residentHome">
      <ion-header class="ion-padding">
        <ion-toolbar class="ion-text-wrap">
          <ion-avatar slot="start">
            <img src="{{resident?.profilePicture?.content}}">
          </ion-avatar>
          <ion-title size="small" style="font-weight: bold;">{{resident.name}}</ion-title>
          <ion-title size="small" style="font-size: smaller;">{{resident.residentType}}</ion-title>
        </ion-toolbar>
      </ion-header>
      <ion-content>
        <ion-list>
          <ion-menu-toggle autoHide="false" *ngFor="let p of pages">
            <!--Menu highlight not working need to check-->
            <ion-item [routerLink]="p.url" routerOutlet="residentHome" routerDirection="root"
              routerLinkActive="active-item" [class.active-parent]="selectedPath.includes(p?.parentUrl)">{{p.title| translate}}
              <ion-badge slot="end" id="notifications-badge" color="danger" *ngIf="p.showBadge">5</ion-badge>
            </ion-item>
          </ion-menu-toggle>
        </ion-list>
      </ion-content>
    </ion-menu>
    <ion-router-outlet id="residentHome" main></ion-router-outlet>
  </ion-split-pane>
</ion-content>